Subject: Re: [Dhcpv6bis] Please review draft-dhcwg-dhc-rfc3315bis-01!! By May 15th!

From: "Bernie Volz (volz)" <[email-masked]>
Date: Thu, 15 May 2014 18:40:49 +0000

Hi:

How are people coming with this review to assure that all milestone A changes are acceptable? (Please refrain from any other changes, such as Milestone B until we publish this - I think Michael did one Milestone B, but there's no point in backing that out.)

I did a spelling and general formatting pass, but I haven't had time myself to do a careful review of the differences between 01 and 00. I don't know where everyone else stands on this?

The choices are:

1.       Publish anyway. We may get others to review the changes and suggest rewording/improvements. Or if no one looks at it, ...

2.       Wait a few more days?

I'm OK with doing 1.

-          Bernie

From: Bernie Volz (volz)
Sent: Tuesday, April 29, 2014 5:01 PM
To: [email-masked]
Subject: Please review draft-dhcwg-dhc-rfc3315bis-01!! By May 15th!

Hi:

All of the milestone A tickets have been "done" (Tomek and I cleaned up the last of them today)!!!

Please review the draft (I've attached the .txt version) and it is also in GitHub - https://github.com/dhcwg/rfc3315bis/blob/master/rfc3315bis.txt.

We should review the entire document but focus on the changes made for milestone A. The tickets may be useful to review!

I think we don't have all of the changes represented in Appendix A, Changes since RFC3315, and so need to assure we document each one. Please confirm all your tickets are in the list!

And, of course we need to fix (or discuss) any issues we find in the changes (or otherwise) in the 01 document. To report issues, either open new tickets or reopen existing ones. If the change is minor (topo, minor wording change), there's no reason for that overhead - just be sure to add a useful comment when applying the fix.

PLEASE DO NOT add any Milestone B (or C) changes at this time. We will work on those after we publish the 01 draft (after our review).

Remember, the goal is to get the 01 draft published by May 15th! We met our goal of getting all A tickets resolved by April 30th!

Your work is greatly appreciated!!!

-          Bernie

---

From: Tomek Mrugalski <[email-masked]>
Date: Fri, 16 May 2014 11:13:46 +0200

On 15/05/14 20:40, Bernie Volz (volz) wrote:
> The choices are:
> 
> 1.       Publish anyway. We may get others to review the changes and
> suggest rewording/improvements. Or if no one looks at it, …
> 
> 2.       Wait a few more days?
Wait. I plan to review it over weekend.

Tomek

---

From: Sheng Jiang <[email-masked]>
Date: Fri, 16 May 2014 09:20:39 +0000

I had a rough review for only diff. It looks ok for me. I vote for 1, and saw Tomek’s email for waiting another two or three days.

Sheng

From: Dhcpv6bis [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Friday, May 16, 2014 2:41 AM
To: [email-masked]
Subject: Re: [Dhcpv6bis] Please review draft-dhcwg-dhc-rfc3315bis-01!! By May 15th!
Importance: High

Hi:

How are people coming with this review to assure that all milestone A changes are acceptable? (Please refrain from any other changes, such as Milestone B until we publish this – I think Michael did one Milestone B, but there’s no point in backing that out.)

I did a spelling and general formatting pass, but I haven’t had time myself to do a careful review of the differences between 01 and 00. I don’t know where everyone else stands on this?

The choices are:

1.      Publish anyway. We may get others to review the changes and suggest rewording/improvements. Or if no one looks at it, …

2.      Wait a few more days?

I’m OK with doing 1.

-        Bernie

From: Bernie Volz (volz)
Sent: Tuesday, April 29, 2014 5:01 PM
To: [email-masked]<mailto:[email-masked]>
Subject: Please review draft-dhcwg-dhc-rfc3315bis-01!! By May 15th!

Hi:

All of the milestone A tickets have been “done” (Tomek and I cleaned up the last of them today)!!!

Please review the draft (I’ve attached the .txt version) and it is also in GitHub - https://github.com/dhcwg/rfc3315bis/blob/master/rfc3315bis.txt.

I think we don’t have all of the changes represented in Appendix A, Changes since RFC3315, and so need to assure we document each one. Please confirm all your tickets are in the list!

And, of course we need to fix (or discuss) any issues we find in the changes (or otherwise) in the 01 document. To report issues, either open new tickets or reopen existing ones. If the change is minor (topo, minor wording change), there’s no reason for that overhead – just be sure to add a useful comment when applying the fix.

-        Bernie

---

From: Marcin Siodelski <[email-masked]>
Date: Fri, 16 May 2014 12:17:41 +0200

I went over the diffs. I found nothing glaring. Just this sentence that
seems to be incomplete

"Servers and clients MUST NOT include more than one instance of
OPTION_VENDOR_CLASS with the same Enterprise Number.  Each instance
of OPTION_VENDOR_CLASS can carry multiple"

in section 22.16, introduced by this commit:

commit 8aa54aeea0c45ab83372f8ccc87734bf87537739
Author: Tomek Mrugalski <[email-masked]>
Date:   Tue Apr 29 17:00:14 2014 +0200

    Addressed #22 (clarify number of instances of vendor class and
vendor info)

I am planning to read the whole text some time today.

Marcin

On 15/05/14 20:40, Bernie Volz (volz) wrote:
> Hi:
> 
>  
> 
> How are people coming with this review to assure that all milestone A
> changes are acceptable? (Please refrain from any other changes, such as
> Milestone B until we publish this – I think Michael did one Milestone B,
> but there’s no point in backing that out.)
> 
>  
> 
> I did a spelling and general formatting pass, but I haven’t had time
> myself to do a careful review of the differences between 01 and 00. I
> don’t know where everyone else stands on this?
> 
>  
> 
> The choices are:
> 
> *From:*Bernie Volz (volz)
> *Sent:* Tuesday, April 29, 2014 5:01 PM
> *To:* [email-masked]
> *Subject:* Please review draft-dhcwg-dhc-rfc3315bis-01!! By May 15th!
> 
>  
> 
> Hi:
> 
>  
> 
> Please review the draft (I’ve attached the .txt version) and it is also
> in GitHub - https://github.com/dhcwg/rfc3315bis/blob/master/rfc3315bis.txt.
> 
>  
> 
> We should review the entire document but focus on the changes made for
> milestone A. The tickets may be useful to review!
> 
>  
> 
> I think we don’t have all of the changes represented in Appendix A,
> Changes since RFC3315, and so need to assure we document each one.
> Please confirm all your tickets are in the list!
> 
>  
> 
> And, of course we need to fix (or discuss) any issues we find in the
> changes (or otherwise) in the 01 document. To report issues, either open
> new tickets or reopen existing ones. If the change is minor (topo, minor
> wording change), there’s no reason for that overhead – just be sure to
> add a useful comment when applying the fix.
> 
>  
> 
> PLEASE DO NOT add any Milestone B (or C) changes at this time. We will
> work on those after we publish the 01 draft (after our review).
> 
>  
> 
> Remember, the goal is to get the 01 draft published by May 15^th ! We
> met our goal of getting all A tickets resolved by April 30^th !
> 
>  
> 
> _______________________________________________
> Dhcpv6bis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcpv6bis
>

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Fri, 16 May 2014 13:25:57 +0000

I will generate the text version and submit it on Monday morning EDT unless someone comments otherwise or wants to do it.

That will give folks the weekend to review and apply any fixes.

Thanks.

- Bernie

-----Original Message-----
From: Marcin Siodelski [mailto:[email-masked]] 
Sent: Friday, May 16, 2014 6:18 AM
To: Bernie Volz (volz); [email-masked]
Subject: Re: [Dhcpv6bis] Please review draft-dhcwg-dhc-rfc3315bis-01!! By May 15th!

I went over the diffs. I found nothing glaring. Just this sentence that seems to be incomplete

"Servers and clients MUST NOT include more than one instance of OPTION_VENDOR_CLASS with the same Enterprise Number.  Each instance of OPTION_VENDOR_CLASS can carry multiple"

    Addressed #22 (clarify number of instances of vendor class and vendor info)

Marcin

On 15/05/14 20:40, Bernie Volz (volz) wrote:
> changes are acceptable? (Please refrain from any other changes, such 
> as Milestone B until we publish this - I think Michael did one 
> Milestone B, but there's no point in backing that out.)
> 
>  
> 
> I did a spelling and general formatting pass, but I haven't had time 
> don't know where everyone else stands on this?
> 
>  
> 
> The choices are:
> 
> suggest rewording/improvements. Or if no one looks at it, ...
> 
> 2.       Wait a few more days?
> 
>  
> 
> I'm OK with doing 1.
> 
>  
> 
> -          Bernie
> 
>  
> 
> Please review the draft (I've attached the .txt version) and it is 
> also in GitHub - https://github.com/dhcwg/rfc3315bis/blob/master/rfc3315bis.txt.
> 
>  
> 
> I think we don't have all of the changes represented in Appendix A, 
> changes (or otherwise) in the 01 document. To report issues, either 
> open new tickets or reopen existing ones. If the change is minor 
> (topo, minor wording change), there's no reason for that overhead - 
> just be sure to add a useful comment when applying the fix.
> 
>  
>

---

From: Tomek Mrugalski <[email-masked]>
Date: Mon, 19 May 2014 00:12:57 +0200

On 16/05/14 15:25, Bernie Volz (volz) wrote:
> I will generate the text version and submit it on Monday morning EDT
> unless someone comments otherwise or wants to do it.
I have reviewed the changes and fixed 3 minor issues. One of them
is the truncated text Marcin mentioned below. The other two are:
specifying key ID in bits, not bytes and removing unnecessary "are".

I see that Bernie created issue #92. I'm ok with including that change,
but it will require some thoughts as there's no obvious place for such
comments. Maybe security considerations be the best place for it?

The draft is ready for -01 in my opinion.

Tomek

> -----Original Message----- From: Marcin Siodelski
> [mailto:[email-masked]] Sent: Friday, May 16, 2014 6:18 AM To:
> Bernie Volz (volz); [email-masked] Subject: Re: [Dhcpv6bis]
> Please review draft-dhcwg-dhc-rfc3315bis-01!! By May 15th!
> 
> commit 8aa54aeea0c45ab83372f8ccc87734bf87537739 Author: Tomek
> Mrugalski <[email-masked]> Date:   Tue Apr 29 17:00:14
> 2014 +0200
> 
>> How are people coming with this review to assure that all milestone
>> A changes are acceptable? (Please refrain from any other changes,
>> such as Milestone B until we publish this - I think Michael did one
>> I did a spelling and general formatting pass, but I haven't had
>> time myself to do a careful review of the differences between 01
>> and 00. I don't know where everyone else stands on this?
>> 
>> 
>> 
>> The choices are:
>> 
>> 1.       Publish anyway. We may get others to review the changes
>> and suggest rewording/improvements. Or if no one looks at it, ...
>> 
>> 2.       Wait a few more days?
>> 
>> 
>> 
>> I'm OK with doing 1.
>> 
>> 
>> 
>> -          Bernie
>> 
>> 
>> 
>> *From:*Bernie Volz (volz) *Sent:* Tuesday, April 29, 2014 5:01 PM 
>> *To:* [email-masked] *Subject:* Please review
>> draft-dhcwg-dhc-rfc3315bis-01!! By May 15th!
>> 
>> 
>> 
>> Hi:
>> 
>> 
>> 
>>  also in GitHub -
>> https://github.com/dhcwg/rfc3315bis/blob/master/rfc3315bis.txt.
>> 
>> 
>> 
>> We should review the entire document but focus on the changes made
>> for milestone A. The tickets may be useful to review!
>> 
>> 
>> 
>>  Changes since RFC3315, and so need to assure we document each
>> one. Please confirm all your tickets are in the list!
>> 
>> 
>> 
>> And, of course we need to fix (or discuss) any issues we find in
>> the changes (or otherwise) in the 01 document. To report issues,
>> either open new tickets or reopen existing ones. If the change is
>> minor (topo, minor wording change), there's no reason for that
>> overhead - just be sure to add a useful comment when applying the
>> fix.
>> 
>> 
>> 
>> PLEASE DO NOT add any Milestone B (or C) changes at this time. We
>> will work on those after we publish the 01 draft (after our
>> review).
>> 
>> 
>> 
>> Remember, the goal is to get the 01 draft published by May 15^th !
>> We met our goal of getting all A tickets resolved by April 30^th !
>> 
>> 
>> 
>> _______________________________________________ Dhcpv6bis mailing
>> list [email-masked] 
> _______________________________________________ Dhcpv6bis mailing
> list [email-masked]

---

From: Marcin Siodelski <[email-masked]>
Date: Mon, 19 May 2014 11:40:38 +0200

Hi,

I have read the whole document and I an fine to publish it but have a
few questions to the group?

The updated terminology contains definitions of IA_PD, requesting router
and delegating router from RFC3633. I wonder if some other items
shouldn't be updated too? For example, currently we have:

   IA                        Identity Association: A collection of
                             addresses assigned to a client.  Each IA
                             has an associated IAID.  A client may have
                             more than one IA assigned to it; for
                             example, one for each of its interfaces.
                             Each IA holds one type of address; for
                             example, an identity association for
                             temporary addresses (IA_TA) holds temporary
                             addresses (see "identity association for
                             temporary addresses").  Throughout this
                             document, "IA" is used to refer to an
                             identity association without identifying
                             the type of addresses in the IA.

It doesn't mention that IA may hold prefixes if it is IA_PD. So, we can
either leave it as is and elsewhere say that addresses include prefixes,
update the definition of IA, e.g.:

"Identity Association: A collection of addresses or prefixes assigned to
a client.  Each IA has an associated IAID.  A client may have ...."

or find some generic term for addresses and prefixes, e.g. resources,
leases or something else. The last option would be good because it will
be often the case after merge of RFC3633 that we will need to refer to
both "addresses and prefixes", e.g. in the section that talk about IA
processing on the server or client side.

We can also defer that until we merge RFC3633, but since we already
introduced some terminology from this RFC, maybe we should do all in
one shot?

The second thing:

  IAID                      Identity Association IDentifier: An
                            identifier for an IA, chosen by the client.
                            Each IA has an IAID, which is chosen to be
                            unique among all IAIDs for IAs belonging to
                            that client.

The way I read this definition is that two IAs (IA_NA and IA_PD)
shouldn't have the same IAID. However, as Tomek pointed out to me, the
number spaces for IA_NA and IA_PD are meant to be disjoint as suggested
in the definition of "binding" and in other sections of the RFC3315.

IMHO, the definition of IAID should be updated to make it crystal clear
that the IAID is unique within the IA type.

A nit:
Should 19.4.2. be titled "Creation and Transmission of Renew and Rebind"?

Marcin

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Mon, 19 May 2014 10:58:38 +0000

Michael started some of the terminology merging (a milestone B item), but not sure he was done.

I'd suggest filing a ticket (or serveral) for the issues.

I think the section naming issues needs to update 19.4.4 as well:

       19.4.2.  Creation and Transmission of Renew Messages  . . . .  58
       19.4.3.  Creation and Transmission of Information-request
                Messages . . . . . . . . . . . . . . . . . . . . . .  58
       19.4.4.  Time Out and Retransmission of Renew or Information-
                request  . . . . . . . . . . . . . . . . . . . . . .  59

If you want to fix that go ahead or I can before publishing in a couple of hours.

- Bernie (from iPad)

On May 19, 2014, at 5:40 AM, "Marcin Siodelski" <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

The second thing:

A nit:

Marcin

Thanks.

- Bernie

-----Original Message-----
From: Marcin Siodelski [mailto:[email-masked]]
Sent: Friday, May 16, 2014 6:18 AM
To: Bernie Volz (volz); [email-masked]<mailto:[email-masked]>
Subject: Re: [Dhcpv6bis] Please review draft-dhcwg-dhc-rfc3315bis-01!! By May 15th!

commit 8aa54aeea0c45ab83372f8ccc87734bf87537739
Author: Tomek Mrugalski <[email-masked]<mailto:[email-masked]>>
Date:   Tue Apr 29 17:00:14 2014 +0200

Marcin

The choices are:

2.       Wait a few more days?

I'm OK with doing 1.

-          Bernie

*From:*Bernie Volz (volz)
*Sent:* Tuesday, April 29, 2014 5:01 PM
*To:* [email-masked]<mailto:[email-masked]>
*Subject:* Please review draft-dhcwg-dhc-rfc3315bis-01!! By May 15th!

Hi:

All of the milestone A tickets have been "done" (Tomek and I cleaned
up the last of them today)!!!

-          Bernie

_______________________________________________
Dhcpv6bis mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/dhcpv6bis

_______________________________________________
Dhcpv6bis mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/dhcpv6bis

---

From: Marcin Siodelski <[email-masked]>
Date: Mon, 19 May 2014 13:32:12 +0200

I updated titles of 19.4.2 and 19.4.4. I also filed tickets #93 and #94
(in B milestone) to cover terminology stuff.

Marcin

On 19/05/14 12:58, Bernie Volz (volz) wrote:
>>> To: Bernie Volz (volz); [email-masked] <mailto:[email-masked]>
>>> Subject: Re: [Dhcpv6bis] Please review
>>>> *To:* [email-masked] <mailto:[email-masked]>
>>>> [email-masked] <mailto:[email-masked]>
>>> [email-masked] <mailto:[email-masked]>